<div class="theme-offer">
<?php

    function legacy_wellness_coach_create_customizer_nav_menu() {
        // ------- Create Nav Menu --------
        $legacy_wellness_coach_menuname = 'Primary';
        $legacy_wellness_coach_menulocation = 'primary';
        $legacy_wellness_coach_menu_exists = wp_get_nav_menu_object($legacy_wellness_coach_menuname);

        if (!$legacy_wellness_coach_menu_exists) {
            $legacy_wellness_coach_menu_id = wp_create_nav_menu($legacy_wellness_coach_menuname);

            wp_update_nav_menu_item($legacy_wellness_coach_menu_id, 0, array(
                'menu-item-title' => __('Home', 'legacy-wellness-coach'),
                'menu-item-url' => home_url('/'),
                'menu-item-status' => 'publish',
            ));

            wp_update_nav_menu_item($legacy_wellness_coach_menu_id, 0, array(
                'menu-item-title' => __('About Us', 'legacy-wellness-coach'),
                'menu-item-url' => home_url('/index.php/about-us/'),
                'menu-item-status' => 'publish',
            ));

            wp_update_nav_menu_item($legacy_wellness_coach_menu_id, 0, array(
                'menu-item-title' => __('Services', 'legacy-wellness-coach'),
                'menu-item-url' => home_url('/index.php/services/'),
                'menu-item-status' => 'publish',
            ));

            wp_update_nav_menu_item($legacy_wellness_coach_menu_id, 0, array(
                'menu-item-title' => __('Pages', 'legacy-wellness-coach'),
                'menu-item-url' => home_url('/index.php/pages/'),
                'menu-item-status' => 'publish',
            ));

            wp_update_nav_menu_item($legacy_wellness_coach_menu_id, 0, array(
                'menu-item-title' => __('Blog', 'legacy-wellness-coach'),
                'menu-item-url' => home_url('/index.php/blog/'),
                'menu-item-status' => 'publish',
            ));

            // Set menu to location
            $legacy_wellness_coach_locations = get_theme_mod('nav_menu_locations');
            if (!is_array($legacy_wellness_coach_locations)) {
                $legacy_wellness_coach_locations = array();
            }
            $legacy_wellness_coach_locations[$legacy_wellness_coach_menulocation] = $legacy_wellness_coach_menu_id;
            set_theme_mod('nav_menu_locations', $legacy_wellness_coach_locations);
        }
    }

    // POST and update the customizer and other related data of Legacy Wellness Coach
    if (isset($_POST['submit'])) {

        // -------- Plugin Installation and Activation (WooCommerce & Classic Widgets) -------- //
        include_once(ABSPATH . 'wp-admin/includes/plugin.php');
        include_once(ABSPATH . 'wp-admin/includes/plugin-install.php');
        include_once(ABSPATH . 'wp-admin/includes/class-wp-upgrader.php');
        include_once(ABSPATH . 'wp-admin/includes/file.php');
        include_once(ABSPATH . 'wp-admin/includes/misc.php');

        // Plugin list
        $legacy_wellness_coach_plugins = array(
            array(
                'slug' => 'classic-widgets',
                'file' => 'classic-widgets/classic-widgets.php',
                'download_url' => 'https://downloads.wordpress.org/plugin/classic-widgets.zip'
            )
        );

        foreach ($legacy_wellness_coach_plugins as $plugin) {
            $installed_plugins = get_plugins();

            // Install the plugin if it's not installed
            if (!isset($installed_plugins[$plugin['file']])) {
                $upgrader = new Plugin_Upgrader();
                $upgrader->install($plugin['download_url']);
            }

            // Activate the plugin if it's not active
            if (file_exists(WP_PLUGIN_DIR . '/' . $plugin['file']) && !is_plugin_active($plugin['file'])) {
                activate_plugin($plugin['file']);
            }
        }

        // ------- Create Menu --------
        legacy_wellness_coach_create_customizer_nav_menu();

        // ------- Create Pages --------
        function create_demo_page($title, $content = '', $template = '') {
            $page_id = legacy_wellness_coach_get_page_id_by_title($title);
        
            if (!$page_id) {
                $page_data = array(
                    'post_type'    => 'page',
                    'post_title'   => $title,
                    'post_content' => $content,
                    'post_status'  => 'publish',
                    'post_author'  => 1,
                );
        
                $page_id = wp_insert_post($page_data);
        
                if ($template && !is_wp_error($page_id)) {
                    update_post_meta($page_id, '_wp_page_template', $template);
                }
            }
        
            return $page_id;
        }
        

        $legacy_wellness_coach_home_id = create_demo_page('Home', '', 'home/home.php');
        update_option('page_on_front', $legacy_wellness_coach_home_id);
        update_option('show_on_front', 'page');

        create_demo_page('Pages', '<p>Lorem Ipsum ...</p>');
        create_demo_page('About Us', '<p>Lorem Ipsum ...</p>');
        create_demo_page('Services', '<p>Service description...</p>');

        // Create blog page and assign it to display posts
        $blog_page_id = create_demo_page('Blog');
        update_option('page_for_posts', $blog_page_id);

        // Create the nav menu
        legacy_wellness_coach_create_customizer_nav_menu();
        // ------- Set Theme Mods --------

        set_theme_mod('legacy_wellness_coach_topbar_book_button_link', '#');

        // ------- Banner Section --------

        $legacy_wellness_coach_banner_headings = array('All About Enthusiasm And Dedication.', 'It all comes down to dedication and enthusiasm.','It is all about commitment and enthusiasm.','It all comes down to dedication and enthusiasm.','All About Enthusiasm And Dedication.');
        $legacy_wellness_coach_image_headings = array('LEADERSHIP','GROUP WORK','CORPORATE TRAINING','COMMUNITY','INDIVIDUAL');
        set_theme_mod('legacy_wellness_coach_slide_number', 5);
        for ($i = 1; $i <= 5; $i++) {
            set_theme_mod("legacy_wellness_coach_slide_image$i", get_template_directory_uri() . "/img/banner{$i}.png");
            set_theme_mod("legacy_wellness_coach_slide_sub_heading$i", 'Premium Coaching!');
            set_theme_mod("legacy_wellness_coach_slide_heading$i", $legacy_wellness_coach_banner_headings[$i - 1]);
            set_theme_mod("legacy_wellness_coach_slide_image_title$i", $legacy_wellness_coach_image_headings[$i - 1]);
            set_theme_mod("legacy_wellness_coach_slide_text$i", 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore Ut enim ad minim veniam, quis nostrud exercitation There are many variations of passages of Lorem Ipsum available.');
            set_theme_mod("legacy_wellness_coach_slide_btnurl$i", '#');
            set_theme_mod("legacy_wellness_coach_slide_btntext$i", 'Join Us');
        }


        // ------- Destination Section --------

        set_theme_mod('legacy_wellness_coach_destination_small_heading', 'Our Programs');
        set_theme_mod('legacy_wellness_coach_destination_main_heading', 'Become A Professional Coach');
        $legacy_wellness_coach_destination_category = wp_create_category('programs'); 
        set_theme_mod('legacy_wellness_coach_destination_category', get_cat_name($legacy_wellness_coach_destination_category));

        set_theme_mod( 'legacy_wellness_coach_destination_topics_number', '6' );

        for($i=1;$i<=6;$i++){

            $blog_title = array('Basic Training','Team','Adult Courses','Personal Lesson','Depression Session','Anti Functioning');
            $content = 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do minim eiusmod tempor incididunt ut afds labore et dolore magna aliqua. Ut enim ad quis nostrud exercitation ullamco laboris.';

            // Create post object
            $legacy_wellness_coach_post = array(
            'post_title'    => wp_strip_all_tags( $blog_title[$i - 1] ),
            'post_content'  => $content,
            'post_status'   => 'publish',
            'post_type'     => 'post',
            'post_category' => array($legacy_wellness_coach_destination_category) 
            );

            $legacy_wellness_coach_destination_post_id = wp_insert_post($legacy_wellness_coach_post);
            $legacy_wellness_coach_destination_post_image_url = get_template_directory()."/img/our-program$i.png"; // file path

            $legacy_wellness_coach_destination_image_name = 'our-program'.$i.'.png';
            $legacy_wellness_coach_destination_upload_dir       = wp_upload_dir(); 
            // Set upload folder
            $legacy_wellness_coach_destination_image_data       = file_get_contents($legacy_wellness_coach_destination_post_image_url); 
            
            // Get image data
            $legacy_wellness_coach_destination_unique_file_name = wp_unique_filename( $legacy_wellness_coach_destination_upload_dir['path'], $legacy_wellness_coach_destination_image_name ); 
            // Generate unique name
            $filename= basename( $legacy_wellness_coach_destination_unique_file_name ); 
            // Create image file name
            // Check folder permission and define file location
            if( wp_mkdir_p( $legacy_wellness_coach_destination_upload_dir['path'] ) ) {
                $file = $legacy_wellness_coach_destination_upload_dir['path'] . '/' . $filename;
            } else {
                $file = $legacy_wellness_coach_destination_upload_dir['basedir'] . '/' . $filename;
            }

            // Create the image  file on the server
            if ( ! function_exists( 'WP_Filesystem' ) ) {
                require_once( ABSPATH . 'wp-admin/includes/file.php' );
            }

            WP_Filesystem();
            global $wp_filesystem;

            if ( ! $wp_filesystem->put_contents( $file, $legacy_wellness_coach_destination_image_data, FS_CHMOD_FILE ) ) {
                wp_die( 'Error saving file!' );
            }

            $wp_filetype = wp_check_filetype( $filename, null );
            $legacy_wellness_coach_destination_attachment = array(
                'post_mime_type' => $wp_filetype['type'],
                'post_title'     => sanitize_file_name( $filename ),
                'post_content'   => '',
                'post_status'    => 'inherit'
            );
            $attach_id = wp_insert_attachment( $legacy_wellness_coach_destination_attachment, $file, $legacy_wellness_coach_destination_post_id );
            require_once(ABSPATH . 'wp-admin/includes/image.php');
            $attach_data = wp_generate_attachment_metadata( $attach_id, $file );
                wp_update_attachment_metadata( $attach_id, $attach_data );
                set_post_thumbnail( $legacy_wellness_coach_destination_post_id, $attach_id );
        }

        echo '<div class="success">Demo Import Successful</div>';
    }
?>

<ul>
    <li>
        <hr>
        <?php if (!isset($_POST['submit'])) : ?>
            <?php echo esc_html__('Click on the below button to get demo content installed.', 'legacy-wellness-coach'); ?>
            <br>
            <form id="demo-importer-form" action="" method="POST" onsubmit="return confirm('Do you really want to do this?');">
                <input class="run-btn" type="submit" name="submit" value="<?php echo esc_attr('Run Importer', 'legacy-wellness-coach'); ?>">
            </form>
        <?php else: ?>
            <div class="visit">
                <a href="<?php echo esc_url(home_url()); ?>" class="button button-primary button-large run-btn" style="margin-top: 10px;" target="_blank">View Site</a>
            </div>
        <?php endif; ?>
        <hr>
    </li>
</ul>
</div>